/*  Header file for global.c                           */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

extern int verbose, verboseMemory, quiet, relaxedPhylip;
extern long totalMem;

/* prototypes */
void *AllocMem(long n, char *name, char *func, int showInfo);
void *CAllocMem(long n, char *name, char *func, int showInfo);

int GetDoubleParams(int argc, char **argv, int *argn, char *pos, int numParams, double *params);
int GetIntParams(int argc, char **argv, int *argn, char *pos, int numParams, int *params);
int GetStrParam(int argc, char **argv, int *argn, char *pos, char *param, int len);

#endif /* _GLOBAL_H_ */
